<template>
  <v-app class="division">
    <div class="division__title">
      <h1>Отделения больницы</h1>
    </div>

    <!--Список отделений-->
    <v-data-table
        :headers="headers"
        :items="divisions"
        class="division__table"
    >
    </v-data-table>
  </v-app>
</template>

<script>
import axios from "axios";

export default {
  name: "Division",
  data() {
    return {
      divisions: [],
      headers: [
        {
          text: 'Отделение',
          value: 'name',
          sortable: false
        },
      ]
    }
  },

  mounted() {
    this.fetchDivision()
  },

  methods: {
    async fetchDivision() {
      axios
          .get(this.$root.globalVar + '/division')
          .then(response => {
            this.divisions = response.data
            console.log("data=" + this.medicalStaff)
            console.log(response)
          })
          .catch(error => {
            console.log(error)
            alert('Ошибка! Подробности: сервер отключен.')
          })
    },
  }
}
</script>

<style lang="scss" scoped>
.division {
  &__title {
    text-align: center;
    margin: 60px 0 30px 0;
  }

  &__table {
    width: 50%;
    margin: 0 auto;
  }
}

</style>